Subject: Re: [PATCH 0/5] Unify trailer formatting functions

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 Mar 2024 14:43:18 -0700

Linus Arver <[email-masked]> writes:

> I realize now that it's because I copy/pasted the "Cc: ..." lines in the PR
> description from
> https://github.com/gitgitgadget/git/pull/1632#issue-2068188239, such
> that when I pasted those in for the PR description for this series at
> https://github.com/gitgitgadget/git/pull/1694#issue-2187804953, it
> carried over the email addresses as Markdown-formatted hyperlinks.
> Currently it reads
>
>     Cc: Christian Couder [[email-masked]](mailto:[email-masked])
>     Cc: Junio C Hamano [[email-masked]](mailto:[email-masked])
>     Cc: Emily Shaffer [[email-masked]](mailto:[email-masked])
>     cc: Josh Steadmon [[email-masked]](mailto:[email-masked])
>     cc: Randall S. Becker [[email-masked]](mailto:[email-masked])
>     cc: Christian Couder [[email-masked]](mailto:[email-masked])
>     cc: "Kristoffer Haugsbakk" [[email-masked]](mailto:[email-masked])
>     cc: "Kristoffer Haugsbakk" <[email-masked]>
>
> when I click on "edit", where the last line must be from your manual fix
> which GGG picked up. I've cleaned up the PR description manually now,
> and for this message I'm also attempting to clean up those square
> brackets.

The last time I asked the author with the same question, we
unfortunately did not get a clear answer on what should be avoided
(probably the author was happy enough with the message resulted from
the updated pull request and forgot that it is more important to
help others from having the same issue).  Now we have an example we
can point at when a similar issue arises.

Thanks.